GROUPMOD(8)

NAMN
groupmod - ändra en gruppdefinition på systemet

SYNOPSIS

groupmod [flaggor] GRUPP

BESKRIVNING

The groupmod modifies the definition of the specified GROUP by modifying the appropriate entry in the group database.

FLAGGOR

Flaggorna som gäller för kommandot groupmod är:

-g, --gidGID
    Specify the new group ID for the GROUP. The numerical value of the GID must be a non-negative decimal integer. This value must be unique, unless the -o option is used. Values between 0 and 999 are typically reserved for system groups. Any files which the old group ID is the file group ID must have the file group ID changed manually.

-h, --help
    Visa hjälpmeddelande och avsluta.

-n, --new-nameNY_GRUPP
    The name of the group will be changed from GROUP to NEW_GROUP name.

-o, --non-unique
    When used with the -g option allow to change the group GID to non-unique value.

FILER

/etc/group
    Gruppkontoinformation.

/etc/gshadow
    Säker gruppkontoinformation.

AVSLUTNINGSVÄRDEN

Kommandot groupmod avslutas med följande värden:

0   lyckad

2   ogiltig kommandosyntax

3   ogiltigt argument till flagga

4   angiven grupp finns inte

6   angiven grupp finns inte

9   gruppnamnet används redan

10  kan inte uppdatera gruppfilen

SE OCKSÅ

chfn(1), chsh(1), passwd(1), gpasswd(8), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).